<?php

declare(strict_types=1);

namespace utils;

use Error;

class YelpCampError extends Error
{
    public string $redirect_url;

    public function __construct(string $message = "", int $code = 0, string $redirect_url = '')
    {
        parent::__construct(message: $message, code: $code);
        $this->$redirect_url = $redirect_url ?? '';
    }
}
