<?php

namespace utils;

use utils\Session;
use Throwable;

class ReturnTo extends Session
{
    protected static $SESSION_NAME = '_returnTo';

    public static function push($msg)
    {
        static::setSession($msg);
    }

    public static function pop()
    {
        try {
            return static::getSessionAndFlush();
        } catch (Throwable $e) {
            Flush::push(Flush::DEBUG, $e->getMessage());
            Flush::push(Flush::DEBUG, 'ReturnTo::popで例外が発生しました。');
        }
        return [];
    }
}
